PASSWD(1)

NAMN
passwd - ändra användarlösenord

SYNOPSIS

passwd [flaggor] [INLOGGNINGSNAMN]

BESKRIVNING

The passwd command changes passwords for user accounts. A normal user may only change the password for his/her own account, while the superuser may change the password for any account. passwd also changes account information, such as the full name of the user, the user's login shell, or his/her password expiry date and interval.

  Lösenordsändringar

The user is first prompted for his/her old password, if one is present. This password is then encrypted and compared against the stored password. The user has only one chance to enter the correct password. The superuser is permitted to bypass this step so that forgotten passwords may be changed.

Efter att lösenordet har matats in kontrolleras lösenordets åldringsinformation för att se om användaren tillåts att ändra lösenord för tillfället. Om inte, nekar passwd att ändra lösenordet och avslutas.

Användaren frågas sedan två gånger efter ett ersättande lösenord. Den andra inmatningen jämförs mot den första och båda måste stämma överens för att lösenordet ska ändras.

Sedan testas lösenordet för sin komplexitet. Som en allmän riktlinje bör lösenord innehålla 6 till 8 tecken och inkluderas ett eller flera tecken från var och en av följande punkter:

    • gemena bokstäver ur alfabetet

    • siffrorna 0 till 9

    • skiljetecken

Tänk på att inte inkludera systemets standardtecken för radering eller döda. passwd kommer att neka alla lösenord som inte har lämplig komplexitet.

  Tips för användarlösenord

Säkerhet i ett lösenord beror på styrkan på krypteringsalgoritmen och nyckellängden. Krypteringsmetoden för UNIX-system är baserad på NBS DES-algoritmen och är mycket säker. Längden på nyckeln är beroende på slumpmässigheten för det valda lösenordet.

Problem i lösenordssäkerheten brukar normalt komma från slarvigt valda lösenord eller hantering. Av denna anledning bör du inte välja ett lösenord som finns i en ordbok eller som måste skrivas ner. Lösenordet bör heller inte vara ett korrekt namn, ditt personnummer, födelsedatum eller gatuadress. Dessa kan användas som gissningar för att ta sig in i systemet.

You can find advices on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

FLAGGOR

Flaggorna som gäller för kommandot passwd är:

-a, --all
    Denna flagga kan endast användas med -S och gör att status visas för alla användare.

-d, --delete
    Ta bort en användares lösenord (gör det blankt). Detta är ett snabbt sätt att inaktivera ett lösenord för ett konto. Det kommer att ta bort det angivna kontots lösenord.

-e, --expire
    Lösenordet för ett konto sätts omedelbart som utgånget. Detta kan tvinga en användare att ändra sitt lösenord vid nästa inloggningsförsök.

-h, --help
    Visa hjälpmeddelande och avsluta.

-i, --inactiveINAKTIV
    Denna flagga används för att inaktivera ett konto efter att lösenordet har varit utgånget i ett antal dagar. Efter att ett användarkonto har haft ett utgånget lösenord i INAKTIV dagar får användaren inte längre logga in med detta konto.

-k, --keep-tokens
    Indicate password change should be performed only for expired authentication tokens (passwords). The user wishes to keep their non-expired tokens as before.

-l, --lock
    Lock the password of the named account. This option disables a password by changing it to a value which matches no possible encrypted value (it adds a '!' at the beginning of the password).

    Note that this does not disable the account. The user may still be able to login using another authentication token (e.g. an SSH key). To disable the account, administrators should use usermod --expiredate 1 (this set the account's expire date to Jan 2, 1970).

    Users with a locked password are not allowed to change their password.

-m, --mindaysMIN_DAGAR
    Sätter minimalt antal dagar mellan lösenordsändringar till MIN_DAGAR. Ett nollvärde för detta fält betyder att användaren kan ändra sitt lösenord när som helst.

-q, --quiet
    Tyst läge.

-r, --repositoryFÖRRÅD
    change password in REPOSITORY repository

-S, --status
    Visa statusinformation för konto. Statusinformationen innehåller 7 fält. Första fältet är användarens inloggningsnamn. Det andra fältet indikerar om användarkontot är låst (L), saknar lösenord (NP) eller har ett användbart lösenord (P). Det tredje fältet anger datumet för senaste lösenordsändringen. De nästa fyra fälten är minimal ålder, maximal ålder, varningsperiod och inaktivitetsperiod för lösenordet. Dessa åldrar anges i dagar.

-u, --unlock
    Unlock the password of the named account. This option re-enables a password by changing the password back to its previous value (to the value before using -l option, by removing the leading '!').

-w, --warndaysVARN_DAGAR
    Sätter antalet dagar för varning före ett lösenord behöver ändras. Flaggan VARN_DAGAR är antalet dagar före användaren varnas om att lösenordet är på väg att bli utgånget.

-x, --maxdaysMAX_DAGAR
    Sätter maximalt antal dagar som ett lösenord ska vara giltigt. Efter MAX_DAGAR krävs det att lösenordet ändras.

TÄNK PÅ

Inte alla flaggor kanske stöds. Kontroll av lösenordskomplexiteten kan variera mellan olika system. Användare rekommenderas att välja ett lösenord som är så komplext som han eller hon känner sig komfortabel med. Användare kanske inte kan ändra sina lösenord på ett system om NIS är aktiverat och de inte är inloggade mot NIS-servern.

FILER

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

AVSLUTNINGSVÄRDEN

Kommandot passwd avslutas med följande värden:

0
    lyckad

1
    åtkomst nekad

2
    ogiltig kombination av flaggor

3
    oväntat fel, ingenting har genomförts

4
    oväntat fel, filen passwd saknas

5
    Filen passwd är upptagen, försök igen

6
    ogiltigt argument till flagga

SE OCKSÅ

group(5), passwd(5), shadow(5), usermod(8).